Subject: Re: [Ntp] John Scudder's No Objection on charter-ietf-ntp-03-00: (with COMMENT)

From: Erik Kline <[email-masked]>
Date: Mon, 1 Nov 2021 14:51:08 -0700

I've uploaded an 03-01, which attempts to incorporate your feedback.  PTAL,
-ek

On Thu, Oct 28, 2021 at 7:00 AM John Scudder via Datatracker <
[email-masked]> wrote:

> John Scudder has entered the following ballot position for
> charter-ietf-ntp-03-00: No Objection
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/charter-ietf-ntp/
>
>
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> Basically fine. Some nits and suggestions below, take ‘em or leave ‘em.
>
> 1. Regarding Éric’s comment about “most widely used”, another option would
> be
> to change it to say “it is a widely-used time synchronization protocol”,
> which
> I think is indisputable and still gets the job done.
>
> 2. I agree with Ben that the references to “quality time” in the first ¶
> is a
> bit jarringly un-idiomatic. The rest of the ¶ implies that what’s meant is
> that
> time synchronization must be “reliable” and “accurate”.
>
> 3. Is the “shall” in the ¶ about NTPv5 actually intended to be read as an
> insistent directive to the WG (as one might express it if the writer were
> unsure if the WG would actually do the work, and therefore wanted to demand
> that they have to)? Or is it just used as a synonym for the “will” that
> appears
> elsewhere? I’d stick with “will” unless the intention really is to
> communicate
> insistence. (Compare to the way we use RFC 2119 “SHALL”, for example —
> would
> this ¶ scan well if “shall” were replaced with “must”?)
>
> 4. s/Finally, the working group, will address/Finally, the working group
> will
> address/ (lose the second comma)
>
>
>
>

---

From: John Scudder <[email-masked]>
Date: Mon, 1 Nov 2021 22:08:27 +0000

WFM.

—John

On Nov 1, 2021, at 5:51 PM, Erik Kline <[email-masked]<mailto:[email-masked]>> wrote:

On Thu, Oct 28, 2021 at 7:00 AM John Scudder via Datatracker <[email-masked]<mailto:[email-masked]>> wrote:
John Scudder has entered the following ballot position for
charter-ietf-ntp-03-00: No Objection

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/charter-ietf-ntp/<https://urldefense.com/v3/__https://datatracker.ietf.org/doc/charter-ietf-ntp/__;!!NEt6yMaO-gk!X6zB45d-9_F8v-czzgKuUC1jqy2JBT-tlUHePcxfK4O6MBXgGFKDILFvuFU1_Q$>

1. Regarding Éric’s comment about “most widely used”, another option would be
to change it to say “it is a widely-used time synchronization protocol”, which
I think is indisputable and still gets the job done.

2. I agree with Ben that the references to “quality time” in the first ¶ is a
bit jarringly un-idiomatic. The rest of the ¶ implies that what’s meant is that
time synchronization must be “reliable” and “accurate”.

3. Is the “shall” in the ¶ about NTPv5 actually intended to be read as an
insistent directive to the WG (as one might express it if the writer were
unsure if the WG would actually do the work, and therefore wanted to demand
that they have to)? Or is it just used as a synonym for the “will” that appears
elsewhere? I’d stick with “will” unless the intention really is to communicate
insistence. (Compare to the way we use RFC 2119 “SHALL”, for example — would
this ¶ scan well if “shall” were replaced with “must”?)

4. s/Finally, the working group, will address/Finally, the working group will
address/ (lose the second comma)